RspTerminal(1)

NAME
rspterminal - RSerPool terminal (PU) for services like Echo, Discard, Daytime, CharGen

SYNOPSIS
terminal [-poolhandle=pool_handle]

DESCRIPTION
terminal is an simple Reliable Server Pooling (RSerPool) pool user (PU) to use test services like Echo, Discard, Daytime, CharGen.

ARGUMENTS
The following options are available:

-poolhandle=pool_handle
    Sets the PH to a non-default value; otherwise, the default setting is "EchoPool".

Logging Parameters:

    -logappend=filename
        Write logging output to a file (default is stdout); output will be appended to given file.

    -logcolor=on|off
        Turns ANSI colorization of the logging output on or off.

    -logfile=filename
        Write logging output to a file (default is stdout); given file will be overwritten.

    -loglevel=0-9
        Sets the logging verbosity from 0 (none) to 9 (very verbose). It is recommended to use at least a value of 2 to see possibly important error messages and warnings.

ASAP Protocol Parameters:

    -registrar=address:port
        Adds a static PR entry into the Registrar Table. It is possible to add multiple entries.

    -registrarannouncetimeout=milliseconds
        Sets the timeout for ASAP announces via multicast.

    -registrarconnecttimeout=milliseconds
        Sets the timeout for ASAP connection establishment.

    -registrarconnectmaxtrials=trials
        Sets the maximum number of ASAP connection establishment trials.

    -registrarrequesttimeout=milliseconds
        Sets the timeout for ASAP requests.

    -registrarresponsetimeout=milliseconds
        Sets the timeout for waiting to receive ASAP responses.

    -registrarrequestmaxtrials=trials
        Sets the maximum number of ASAP request trials.

Component Status Protocol (CSP) Parameters:

    -cspinterval=milliseconds
        Sets the interval for the CSP status updates in milliseconds. By default, the content of the environment variable CSP_INTERVAL is used. If not defined, no CSP status reports will be sent.

    -cspserver=address:port
        Sets the address of a CSP monitor server. By default, the content of the environment variable CSP_SERVER is used. If not defined, no CSP status reports will be sent.

ENVIRONMENT
terminal uses the environment variables CSP_SERVER and CSP_INTERVAL to define a CSP server to send reports to in the specified interval.

DIAGNOSTICS
If loglevel>0, log messages will be printed to stdout or into a specified log file.

SEE ALSO
For a detailed introduction to RSerPool, see:
http://duepublico.uni-duisburg-essen.de/servlets/DerivateServlet/Derivate-16326/Dre2006-final.pdf

Thomas Dreibholz's RSerPool Page:
http://tdrwww.iem.uni-due.de/dreibholz/rserpool/